Upgrade VMware tools manually when the Install/Upgrade VMware tools task fails or hangs on Linux.

Document ID : KB000010004
Last Modified Date : 14/02/2018
Show Technical Document Details
Introduction:

How to upgrade VMware tools on CA APIM Gateway appliance manually if you receive errors using the Install/Upgrade VMware tools task or executing the VMware tools upgrade utility throws a permission denied messages "vmware-tools-upgrader-64: cannot execute: Permission denied"

Background:



Instructions:

Solution:

  1. Mount the Linux VMware tools iso image
    • Edit the Virtual Machine settings -> Hardware Tab -> Click on the CD/DVD drive and mount the following iso file: /vmimages/tools-isoimages/linux.iso vmware toolsCapture.PNG

  2. Execute the following commands:

    • #mount /dev/cdrom /mnt/cdrom 
      Note: If you receive the following error executing mount /dev/cdrom, please validate you checked off:
      connected.PNG

  3. Copy VMware tools image to /tmp

    • #cp /mnt/cdrom/VMwareTools-x.x.xx-xxxx490.tar.gz /tmp 
    • #tar xzf VMwareTools-x.x.xx-xxxx490.tar.gz
    • #cd vmware-tools-distrib/
    • #perl vmware-install.pl 
      Accept all default values. 

  4. Once complete, you should be upgraded in accordance with the version of VMware Tools used by your ESX platform.